> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Groups

> Fetch all groups



## OpenAPI

````yaml openapi-v2 GET /group/fetchAllGroups/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /group/fetchAllGroups/{instance}:
    get:
      tags:
        - Group Controller
      summary: Fetch All Groups
      description: Fetch all groups
      operationId: fetchAllGroups
      parameters:
        - name: instance
          in: path
          required: true
          description: 'Name of the instance '
          schema:
            type: string
        - name: getParticipants
          in: query
          required: true
          description: Whether to get the group members or not
          schema:
            type: boolean
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: The ID of the group.
                    subject:
                      type: string
                      description: The subject (name) of the group.
                    subjectOwner:
                      type: string
                      description: The ID of the user who set the subject.
                    subjectTime:
                      type: integer
                      description: The timestamp when the subject was set.
                    pictureUrl:
                      type: string
                      description: URL of the group's profile picture.
                    size:
                      type: integer
                      description: The number of participants in the group.
                    creation:
                      type: integer
                      description: The timestamp when the group was created.
                    owner:
                      type: string
                      description: The ID of the group owner.
                    desc:
                      type: string
                      description: The description of the group.
                    descId:
                      type: string
                      description: The ID of the description message.
                    restrict:
                      type: boolean
                      description: >-
                        Indicates if the group is restricted (only admins can
                        send messages).
                    announce:
                      type: boolean
                      description: >-
                        Indicates if the group is an announcement group (only
                        admins can send messages).
                  required:
                    - id
                    - subject
                    - subjectOwner
                    - subjectTime
                    - size
                    - creation
                    - owner
                    - restrict
                    - announce
                description: Array of objects representing WhatsApp group details.
                example:
                  - id: 120363295648424210@g.us
                    subject: Example Group
                    subjectOwner: 553198296801@s.whatsapp.net
                    subjectTime: 1714769954
                    pictureUrl: null
                    size: 1
                    creation: 1714769954
                    owner: 553198296801@s.whatsapp.net
                    desc: optional
                    descId: BAE57E16498982ED
                    restrict: false
                    announce: false
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````